%define rname	xsms
%define version 0.0.5.16
%define release alt6
%define cid 	\{DB4F9825-60EF-4ac3-B5BE-8EFEF5720588\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Send SMS messages from Mozilla Firefox
Summary(ru_RU.KOI8-R):	   SMS  Mozilla Firefox

License:	GPL
Group:		Networking/WWW
URL:		http://xsms.nm.ru/

Packager:	Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru>
Source0:	%rname.xpi
Source1:	xsms-firefox-chrome.manifest

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:	%firefox_name >= 2.0

%description 	
xSMS extension for direct sms sending from Mozilla Firefox browser. 

%description -l ru_RU.KOI8-R
xSMS -    Mozilla Firefox,   SMS
    .

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
%__subst 's@>1.0<@>3.*<@' %buildroot/%ciddir/install.rdf
%__subst 's,updateURL>http:,updateURL>https:,g' %buildroot/%ciddir/install.rdf
%__cp -a %SOURCE1 %buildroot/%ciddir/chrome.manifest

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sat Jul 12 2008 L.A. Kostis <lakostis@altlinux.ru> 0.0.5.16-alt6
- try to use with Fx 3.0.

* Sun Mar 18 2007 L.A. Kostis <lakostis@altlinux.ru> 0.0.5.16-alt5
- fix extensions dir.

* Sun Nov 26 2006 L.A. Kostis <lakostis@altlinux.ru> 0.0.5.16-alt4
- rebuild for Firefox 2.0.
- remove obsoleted macros.
- bump MaxVersion.

* Wed Sep 27 2006 L.A. Kostis <lakostis@altlinux.ru> 0.0.5.16-alt3.1.1
- rebuild for Firefox 1.5.0.7.

* Thu Aug 10 2006 L.A. Kostis <lakostis@altlinux.ru> 0.0.5.16-alt3.1
- rebuild for Firefox 1.5.0.6.

* Wed Aug 02 2006 L.A. Kostis <lakostis@altlinux.ru> 0.0.5.16-alt3
- prepare for git.

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.5.16-alt2.1
- NMU: rebuild with firefox 1.5.0.4

* Tue Jun 06 2006 LAKostis <lakostis at altlinux.ru> 0.0.5.16-alt2
- Fix chrome.manifest file.

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.5.16-alt1.1.1.1.1
- NMU: rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.5.16-alt1.1.1.1
- NMU: rebuild with firefox 1.5.0.1

* Tue Dec 20 2005 Alexey Gladkov <legion@altlinux.ru> 0.0.5.16-alt1.1.1
- rebuild with firefox-1.5
- spec changes:
  * BuildRequires fix;
  * ghost file added;
  * new macros was used to fix multiarch problem.

* Thu Nov 10 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.0.5.16-alt1.1
- rebuild with new firefox.

* Mon Oct 10 2005 LAKostis <lakostis at altlinux.ru> 0.0.5.16-alt1
- Initial build for ALTLinux.

